# OpalRFC2833Info Class Reference

`#include <rfc2833.h>`

## Public Types

| Digit0 = 0
| Digit1 = 1
| Digit2 = 2
| Digit3 = 3
| Digit4 = 4
| Digit5 = 5
| Digit6 = 6
| Digit7 = 7
| Digit8 = 8
| Digit9 = 9
| Star = 10
| Hash = 11
| A = 12
| B = 13
| C = 14
| D = 15
| Flash = 16
| CED = 32
| CNG = 36
enum | NTEEvent { Digit0 = 0, Digit1 = 1, Digit2 = 2, Digit3 = 3, Digit4 = 4, Digit5 = 5, Digit6 = 6, Digit7 = 7, Digit8 = 8, Digit9 = 9, Star = 10, Hash = 11, A = 12, B = 13, C = 14, D = 15, Flash = 16, CED = 32, CNG = 36 }

## Public Member Functions

| OpalRFC2833Info (char tone, unsigned duration=0, unsigned timestamp=0)
char | GetTone () const
unsigned | GetDuration () const
unsigned | GetTimestamp () const
bool | IsToneStart () const

## Protected Attributes

char | tone
unsigned | duration
unsigned | timestamp

## Member Enumeration Documentation

enum OpalRFC2833Info::NTEEvent

Enumerator:

  Digit0 |
  Digit1 |
  Digit2 |
  Digit3 |
  Digit4 |
  Digit5 |
  Digit6 |
  Digit7 |
  Digit8 |
  Digit9 |
  Star |
  Hash |
  A |
  B |
  C |
  D |
  Flash |
  CED |
  CNG |

## Constructor & Destructor Documentation

OpalRFC2833Info::OpalRFC2833Info | ( | char | tone,
|  | unsigned | duration = `0`,
|  | unsigned | timestamp = `0` |
| ) |  |  |

## Member Function Documentation

unsigned OpalRFC2833Info::GetDuration | ( |  | ) | const`[inline]`

unsigned OpalRFC2833Info::GetTimestamp | ( |  | ) | const`[inline]`

char OpalRFC2833Info::GetTone | ( |  | ) | const`[inline]`

bool OpalRFC2833Info::IsToneStart | ( |  | ) | const`[inline]`

## Field Documentation

unsigned OpalRFC2833Info::duration `[protected]`

unsigned OpalRFC2833Info::timestamp `[protected]`

char OpalRFC2833Info::tone `[protected]`

The documentation for this class was generated from the following file:

- rfc2833.h